/*******************************************************************************
 * Copyright (c) 2010 IGA Tosiki, NTT DATA BUSINESS BRAINS Corp.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    IGA Tosiki (NTT DATA BUSINESS BRAINS Corp.) - initial API and implementation
 *******************************************************************************/
/*
 * blanco Framework
 * Copyright (C) 2010 NTT DATA BUSINESS BRAINS CORPORATION
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.xls;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;

/**
 * Excel V[g - Apache POI ̃Vvȃbp[NXłB
 * 
 * Excel ̃V[g킵܂B
 * 
 * @author NDBɉ
 */
public class BlancoXlsSheet {
    private HSSFSheet fSheet;

    BlancoXlsSheet(final HSSFSheet arg) {
        fSheet = arg;
    }

    /**
     * Iɕێ POI IuWFNg߂܂B
     * 
     * @return
     */
    public HSSFSheet getSheet() {
        return fSheet;
    }

    /**
     * wW̃Z擾܂B
     * 
     * @param x
     * @param y
     * @return
     */
    public BlancoXlsCell getCell(final int x, final int y) {
        HSSFRow row = fSheet.getRow(y);
        if (row == null) {
            row = fSheet.createRow(y);
        }

        HSSFCell cell = row.getCell(x);
        if (cell == null) {
            cell = row.createCell(x);
        }

        return new BlancoXlsCell(cell);
    }

    /**
     * w̗̕ݒ肵܂B
     * 
     * @param columnIndex
     * @param width
     */
    public void setColumnWidth(int columnIndex, int width) {
        fSheet.setColumnWidth(columnIndex, width);
    }
}
